org.apache.lucene.search.vectorhighlight

## Class FieldQuery.QueryPhraseMap

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldQuery.QueryPhraseMap

- Enclosing class:
    FieldQuery

      public static class FieldQuery.QueryPhraseMap
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryPhraseMap(FieldQuery fieldQuery)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getBoost()`
    `int` | `getSlop()`
    `FieldQuery.QueryPhraseMap` | `getTermMap(java.lang.String term)`
    `int` | `getTermOrPhraseNumber()`
    `boolean` | `isTerminal()`
    `boolean` | `isValidTermOrPhrase(java.util.List<FieldTermStack.TermInfo> phraseCandidate)`
    `FieldQuery.QueryPhraseMap` | `searchPhrase(java.util.List<FieldTermStack.TermInfo> phraseCandidate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryPhraseMap

          public QueryPhraseMap(FieldQuery fieldQuery)

  - ### Method Detail

    - #### getTermMap

          public FieldQuery.QueryPhraseMap getTermMap(java.lang.String term)

    - #### isTerminal

          public boolean isTerminal()

    - #### getSlop

          public int getSlop()

    - #### getBoost

          public float getBoost()

    - #### getTermOrPhraseNumber

          public int getTermOrPhraseNumber()

    - #### searchPhrase

          public FieldQuery.QueryPhraseMap searchPhrase(java.util.List<FieldTermStack.TermInfo> phraseCandidate)

    - #### isValidTermOrPhrase

          public boolean isValidTermOrPhrase(java.util.List<FieldTermStack.TermInfo> phraseCandidate)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.